Release notes¶
Latest release · Oct 2026
API Maker v3.3.0
3 features7 improvements2 fixes
- APIs Security Report & Actions
- Index Maker : automatic indexes
- Index system APIs
- Index Maker page redesigned : the automatic indexes panel, a summary of every scanning period with its state and…
55 releases since Dec 2023. Each version below lists its new features, improvements and fixes ; open it for every change. A server upgrades from the admin panel with Deploy API Maker, or with the install script and --version.
v34 releases · Jul 2026 – Oct 2026v25 releases · Mar 2026 – Apr 2026v146 releases · Dec 2023 – Feb 2026
v3¶
Moving a project from v2 to v3
The v2 to v3 migration prompt lets an AI assistant update the code of a v2 repository for v3.
v3.3.0Oct 2026Latest3 features7 improvements2 fixes
- APIs Security Report & Actions
- Index Maker : automatic indexes
- Index system APIs
- Index Maker page redesigned : the automatic indexes panel, a summary of every scanning period with its state and…
v3.2.0Aug 20262 features
- Allow API Maker User's Token Across Admin Users
- Admin user can change license key of any server from UI directly
v3.1.0Aug 202611 features
- Git History Per Item
- Request History & Saved States
- Unified Diff View
- Analytics & Observability Dashboard
v3.0.0Jul 20268 features4 improvements4 fixesBreaking change
- New Fresh UI
- Token Generators
- Get Token
- Pre & Post Hooks
v2¶
v2.3.0Apr 20262 features2 improvements
- Table viewer supports inline cell editing (double-click) with Excel-like keyboard navigation, Ctrl/Cmd+S to save all…
- Diagram viewer implemented & integrated
- D2 diagram library dependency removed and settings removed from root user settings
- Improve git status UI
v2.2.0Apr 20261 feature6 improvements1 fix
- Added support to operate API Maker programmatically via API using a secure communication token, enabling operations…
- Monaco Editor : Updated to latest version
- Monaco Editor : shift + delete = it will remove line, in all platform browser
- Monaco Editor : Full page zoom implemented for all monaco editors, and toggle maximize shortcut is also added
v2.1.0Apr 20261 feature4 improvements2 fixes
- Admin user can be made inactive from root user
- Docker image cleanup mechanism improved
- Git repository is not bound with any admin user path or email anymore, and one repository can be used with multiple…
- Below example is now supported for generated API
v2.0.1Mar 20261 feature6 improvements2 fixesBreaking change
- Server Startup Script : To add additional packages on server when process starts, for native APIs execution
- Code improvements for code execution and sandbox code execution restructured
- Show icon in grid & tree for custom APIs which has separate sandbox settings
- Need to reload VS Code window when things are changed from UI issue fixed
v1¶
2026¶
v1.21.0Feb 20262 features5 improvements1 fix
- Encrypt Strings icon added in dashboard
- UI Maker : PDF export support added, and added support for hook
processDataBeforePDFExport - UI MAKER : Added support for method in user utils `sanitizeHtml(value: string | undefined, type?: 'html' | 'url')…
- UI MAKER : Writing code directly in function is supported all the places wherever we can write code
v1.20.3Jan 20262 improvements1 fixAuthorization :
expiresInSeconds support added in getToken method for API Maker users & database usersv1.20.0Jan 20262 features8 improvements3 fixes
- Index Maker : Watch your APIs and find out why they are slow and what is actually happening internally in graphical…
- Multi-tenant architecture : True multi tenant architecture supported out of the box
- Run native should be true by default in case of hooks
- Passing sorting as JSON5 object support added for
sortfield in get all APIs
2025¶
v1.19.8Dec 20251 improvement3 fixes
g.res.contentType will send data directly to user without wrapping success valuev1.19.4Nov 20251 fixSchema generation should pickup table schema automatically for sql server database type
v1.19.0Nov 20251 feature2 fixes
- User menu -> "Debug Settings", Now developers can debug their written code
- Scheduler & DB Migration & Process Initializer edit UI related issues fixed in testing page
- Log table filter is having bug in schedulers filter in UI
v1.18.3Nov 20253 features2 improvements
- User menu -> "Generate Local Client Sync Token" UI created to generate tokens for local sync
- local-client.js will be added automatically in every repository
- local client is supported in windows & linux & mac os
- Internal packages upgraded for vulnerability fix
v1.17.2Jul 20251 fixGenerating random JWT token issue fixed while creating default root user settings
v1.17.0Jul 20251 feature8 improvements3 fixes
- Inbuilt file size & extension validator, in custom APIs using below syntax
- Show caching status in custom API grid and tree
- Root user settings update issue fixed
- Change in utility class should also reset cache of all the custom APIs & third party APIs
v1.16.0Jun 20254 features8 improvements6 fixes
- Deployment hooks feature are now supported
throwErrorIfRecordNotFoundquery parameter support added indeleteById&updateById&replaceByIdAPIs and…- Now we can upload files for
g.req.body.files1&g.req.body.files2etc authTokenInfosupports multiple objects of same type, for example we can provide multiple objects of…
v1.15.0Apr 20256 features3 improvements
- Virtual field support added in schema
- Automatic Sandbox Restart In Seconds settings support added in “Sandbox Settings” page
- We can create separate sandbox for custom APIs based on value of “separateSandboxSettings →…
- In separate sandbox of custom API, we can have default user packages from “Sandbox settings” by providing…
v1.14.0Apr 20256 features11 improvements4 fixes
- Added support for
isAutoGenerateByAMin schema as shown below - editor control support added
- Required should support expression in UI Maker by providing requiredFun in validations
- UI Maker page can be used as only form also
v1.13.0Mar 20251 feature4 improvements2 fixes
- Table selection implemented in ER diagram page
- API Maker will show schema of deleted or not present table/collections
- setValueInFilterOfTopGrid new method added utils
- exportFileName & exportFields support added in csv download
v1.12.0Feb 20255 features3 improvements3 fixes
- Develop screen which can deploy API Maker from NPM directly on all the servers of the environment
- Develop page which can take .tgz file and deploy on all the servers of the environment
- Rating control support added and docs updated
- Knob control support added and docs updated
v1.11.0Feb 20257 features4 improvements3 fixes
- Custom code write support added for web socket notification, so we can restrict users based on custom business logic
- Generate data will now ask for custom value to insert data
- Add support for defaults keyword in conversion
- Add support for enum in validations
v1.10.0Jan 20252 features4 improvements3 fixes
- am__sandbox__sandboxMaxOldSpace
- Show important environment variables of that worker in Nodes Dashboard
- Show loading on events tree page and on listeners page and some improvements in code
- Show node options in “Nodes Dashboard”, so we can see allowed memory and other settings to Node.js process
v1.9.0Jan 20251 feature5 improvements2 fixes
- Swagger Documentation support added
- Access visibility improvements in API Testing page
- Show radiation icon next to name for native APIs in warning colour
- Cloning support added for UI Maker Pages
2024¶
v1.8.3Nov 20245 improvements2 fixesThrow error when invalid value is provided when objectId expected based on schema
v1.8.0Oct 20248 features4 improvements2 fixes
- Hooks for Instance & Database & Collection level
- These new hooks should be visible for code finder
- Git push & pull should work for these new hooks
- Adjust testing environment for these new hooks
v1.7.0Aug 20248 improvements2 fixes
- Show name of edit entity in modal header
- Custom APIs grid & tree both will display required authorization information in UI
- System APIs grid will show authorization information in UI
- API authorization information now visible for third party APIs tree
v1.6.0Jun 20241 improvement3 fixes
- Running commands for mongodb support added
- Convert _id to valid Object id for executeQuery system API
- ISO dates should be automatically converted to valid date for generated APIs
- $elemMatch = AM is not able to convert mongodb Id from string to ObjectId when used inside $elemMatch operator
v1.5.0Apr 20241 feature4 improvements1 fix
- Vulnerability tracking feature added
- getToken API generate data will have “u” and “p” fields
- collection rename should also rename schema for mongodb
- /token system api will also consider authorization
v1.4.0Mar 20243 features
- Added support for adding secondary server in installation process
- Process Initializers feature added
- Restart all sandbox menu item added in user menu
v1.3.3Feb 20241 improvementDocker compose file’s environment variables will be directly applied in API Maker frontend admin panel UI and backend
v1.3.0Feb 20244 features3 improvements2 fixes
- TS generated interfaces feature added
- Git pull history feature added
- Docker image build history button added in sandbox settings
- Multiple selection is now supported in git revert
v1.2.0Feb 20242 features8 improvements
- “Restart process” menu item added in users menu which will restart all API Maker processes from all connected…
- Multiple operators support added in find queries
- UI improvements in code finder
- UI Improvements
v1.1.0Jan 20242 features3 improvements
- Diagram dashboard created
- Improvements
- Git pull performance improved by 70%
- Redis dashboard checkbox selection is removed and keys selection based on (Cmd | Ctrl) + click is implemented
2023¶
v1.0.3Dec 20235 improvementsValidate passwords of installations, do not allow special characters like @
v1.0.2Dec 20238 improvements1 fixThrow proper error when system is not able to decrypt password used in git repository
v1.0.0Dec 20231 improvement
- API Maker is the complete backend solution: from powerful API generation to custom API development to deployment, all…